<?php
	session_start();
	include('realcalcfiles/functions.php');

	// If the form was submitted
	if ($_POST['action'] == 'create_report') {
		$_SESSION['monthly_income'] = $_POST['monthly_income'];
		$_SESSION['house_cost'] = $_POST['house_cost'];
		$_SESSION['money_saved'] = $_POST['money_saved'];
		$_SESSION['replacement_cost'] = $_POST['replacement_cost'];
		$_SESSION['loan_approved_amount'] = $_POST['loan_approved_amount'];
		$_SESSION['loan_interest_rate'] = $_POST['loan_interest_rate'];
		$_SESSION['loan_years'] = $_POST['loan_years'];
		$_SESSION['appliance_washer'] = $_POST['appliance_washer'];
		$_SESSION['appliance_dryer'] = $_POST['appliance_dryer'];
		$_SESSION['appliance_fridge'] = $_POST['appliance_fridge'];
		$_SESSION['appliance_oven'] = $_POST['appliance_oven'];
		$_SESSION['appliance_dishwasher'] = $_POST['appliance_dishwasher'];
		$_SESSION['appliance_kitchen'] = $_POST['appliance_kitchen'];
		$_SESSION['repair_costs'] = $_POST['repair_costs'];
		$_SESSION['moving_vehicle'] = $_POST['moving_vehicle'];
		$_SESSION['furniture_costs'] = $_POST['furniture_costs'];
		$_SESSION['monthly_lease_amount'] = $_POST['monthly_lease_amount'];
		$_SESSION['lease_months'] = $_POST['lease_months'];
		$_SESSION['winter_temp'] = $_POST['winter_temp'];
		$_SESSION['summer_temp'] = $_POST['summer_temp'];
		$_SESSION['sq_footage'] = $_POST['sq_footage'];
		$_SESSION['precipitation'] = $_POST['precipitation'];
		$_SESSION['heating_system'] = $_POST['heating_system'];
		$_SESSION['water_heater_age'] = $_POST['water_heater_age'];
		$_SESSION['furnace_age'] = $_POST['furnace_age'];
		$_SESSION['inspection'] = $_POST['inspection'];
		$_SESSION['nickname'] = $_POST['nickname'];
		
		// Do server-side check for missing data
		if (!checkValidChars($_SESSION['monthly_income'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for your monthly income');
		} elseif (strlen($_SESSION['monthly_income']) < 1) {
			$error_div .= getResultDiv('Please enter your monthly income');
		}
		if (!checkValidChars($_SESSION['house_cost'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the cost of the house');
		} elseif (strlen($_SESSION['house_cost']) < 1) {
			$error_div .= getResultDiv('Please enter the cost of the house');
		}
		if (!checkValidChars($_SESSION['money_saved'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the money you can apply towards the house immediately');
		} elseif (strlen($_SESSION['house_cost']) < 1) {
			$error_div .= getResultDiv('Please enter the money you can apply towards the house immediately');
		}
		if (!checkValidChars($_SESSION['replacement_cost'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the money you can apply towards the house immediately');
		} elseif (strlen($_SESSION['replacement_cost']) < 1) {
			$error_div .= getResultDiv('Please enter the money you can apply towards the house immediately');
		}
		if (!checkValidChars($_SESSION['replacement_cost'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the loan amount you have been approved for');
		} elseif (strlen($_SESSION['loan_approved_amount']) < 1) {
			$error_div .= getResultDiv('Please enter the loan amount you have been approved for');
		}
		if (!checkValidChars($_SESSION['loan_interest_rate'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the loan interest rate');
		} elseif (strlen($_SESSION['loan_interest_rate']) < 1) {
			$error_div .= getResultDiv('Please enter the loan interest rate');
		}
		if (!checkValidChars($_SESSION['repair_costs'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the repair costs');
		}
		if (!checkValidChars($_SESSION['furniture_costs'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the furniture costs');
		}
		if (!checkValidChars($_SESSION['monthly_lease_amount'],"0123456789,.")) {
			$error_div .= getResultDiv('Please enter only numbers for the monthly lease amount');
		}
		if (!checkValidChars($_SESSION['lease_months'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for the number of months for your lease');
		}
		if (!checkValidChars($_SESSION['winter_temp'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for the winter temperature');
		}
		if (!checkValidChars($_SESSION['summer_temp'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for the summer temperature');
		}
		if (!checkValidChars($_SESSION['sq_footage'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for the square footage');
		}
		if (!checkValidChars($_SESSION['water_heater_age'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for the water heater age');
		}
		if (!checkValidChars($_SESSION['furnace_age'],"0123456789")) {
			$error_div .= getResultDiv('Please enter only numbers for the furnace age');
		}
		$result_div .= $error_div;
		if ($error_div == '') {
			$report['sale_price'] = strip_nonnumeric($_SESSION['house_cost']);
			$report['loan_interest_rate'] = strip_nonnumeric($_SESSION['loan_interest_rate']);
			$report['loan_years'] = strip_nonnumeric($_SESSION['loan_years']);
			if ($report['loan_years'] > 30) { 
				$report['loan_years'] = 30; 
			}

			
			// GET OTHER VALUES
			
			// Monthly income available
			$report['monthly_income_available'] =  '.33' * strip_nonnumeric($_SESSION['monthly_income']);
			
			// Calculate utilities
			$norm_temp = 70;
			$cold_diff = convert_to_positive(70 - $_SESSION['winter_temp']);
			$cold_cost = 4 * ((1.5 * $cold_diff) + 20);
			
			if ($_SESSION['heating_system'] == 'wood') {
				$cold_cost = $cold_cost * .9;
			} elseif ($_SESSION['heating_system'] == 'oil') {
				$cold_cost = $cold_cost * 1.2;
			}
			
			$hot_diff = convert_to_positive(70 - $_SESSION['summer_temp']);
			$hot_cost = 4 * ((1.5 * $cold_diff) + 25);
			$other_seasons = 4*50;
			$elec_and_gas = $hot_cost + $cold_cost + $other_seasons;
			$elec_and_gas = ($_SESSION['sq_footage']/1700) * $elec_and_gas;
		
			$city_fees = 48*12;
			if ($_SESSION['precipitation'] == 'low') {
				$water_rate = 10*45;
			}
			if ($_SESSION['precipitation'] == 'med') {
				$water_rate = 7*30;
			}
			if ($_SESSION['precipitation'] == 'high') {
				$water_rate = 3*25;
			}
			$yearly_utility_costs = $elec_and_gas + $city_fees + $water_rate;
			$monthly_utility_costs = $yearly_utility_costs/12;
			$report['monthly_utilities'] = $monthly_utility_costs;
		

			// Calculate immediate costs
			if ($_SESSION['appliance_washer'] != '') {
				$appliance_costs = $appliance_costs + 500;
			}
			if ($_SESSION['appliance_washer'] != '') {
				$appliance_costs = $appliance_costs + 500;
			}
			if ($_SESSION['appliance_fridge'] != '') {
				$appliance_costs = $appliance_costs + 350;
			}
			if ($_SESSION['appliance_oven'] != '') {
				$appliance_costs = $appliance_costs + 550;
			}
			if ($_SESSION['appliance_dishwasher'] != '') {
				$appliance_costs = $appliance_costs + 250;
			}
			if ($_SESSION['appliance_kitchen'] != '') {
				$appliance_costs = $appliance_costs + 250;
			}

			if ($_SESSION['moving_vehicle'] == 'small_uhaul_truck') {
				$moving_costs = '150';
			} elseif ($_SESSION['moving_vehicle'] == 'large_moving_truck') {
				$moving_costs = '350';
			} elseif ($_SESSION['moving_vehicle'] == 'small_moving_van') {
				$moving_costs = '500';
			} elseif ($_SESSION['moving_vehicle'] == 'large_moving_truck') {
				$moving_costs = '800';
			}
			if ($_SESSION['furnace_age'] > 10) {
				$new_heating .= '1200';
			}
			if ($_SESSION['water_heater_age'] > 10) {
				$new_heating .= '700';
			}
			if ($_SESSION['inspection'] == 'no') {
				$inspection_costs = '250';
			}
			
			// Insurance Costs
			$yearly_insurance_costs = $_SESSION['replacement_cost'] * .003;
			$monthly_insurance_costs = $yearly_insurance_costs/12;
			$report['monthly_insurance_costs'] = $monthly_insurance_costs;
			
			// Taxes 
			$yearly_taxes = $_SESSION['house_cost']*.01;
			$monthly_taxes = $yearly_taxes/12;
			$report['monthly_taxes'] = $monthly_taxes;
			
			// Get immediate costs and down payment
			$report['immediate_costs'] = $appliance_costs + $_SESSION['repair_costs'] + $moving_costs + $_SESSION['furniture_costs'] + ($_SESSION['monthly_lease_amount']*$_SESSION['lease_months']) + $new_heating + $inspection_costs + $yearly_insurance_costs + $yearly_taxes;
			$total_downpayment = $_SESSION['money_saved'] - $report['immediate_costs'];
			$percentage_down = $total_downpayment / $_SESSION['house_cost'];
			if ($percentage_down < .20) {
				$yearly_mortgage_insurance = .005* $_SESSION['house_cost'];
				$monthly_mortgage_insurance = $yearly_mortgage_insurance/12;
				$report['monthly_pmi'] = $monthly_mortgage_insurance;
				$report['immediate_costs'] = $report['immediate_costs'] + ($monthly_mortgage_insurance*6);
				$total_downpayment = $_SESSION['money_saved'] - $report['immediate_costs'];
				$percentage_down = $total_downpayment / $_SESSION['house_cost'];
			}
	
			
			// Get monthly costs
			$report['sale_price'] = strip_nonnumeric($_SESSION['house_cost']);
			$report['loan_interest_rate'] = strip_nonnumeric($_SESSION['loan_interest_rate']);
			$report['loan_years'] = strip_nonnumeric($_SESSION['loan_years']);
			if ($report['loan_years'] > 30) { 
				$report['loan_years'] = 30; 
			}
			$month_term              = $report['loan_years'] * 12;
			$annual_interest_rate    = $report['loan_interest_rate'] / 100;
			$monthly_interest_rate   = $annual_interest_rate / 12;
			$financing_price         = $report['sale_price'] - $total_downpayment;
			$monthly_factor          = get_interest_factor($report['loan_years'], $monthly_interest_rate);
			$monthly_payment         = $financing_price / $monthly_factor;
			$report['monthly_payment'] = $monthly_payment;

			// GENERATE AMORIZATION SCHEDULE
			$step = 1; 
			// Set some base variables
			$principal     = $financing_price;
			$current_month = 1;
			$current_year  = 1;
			// This basically, re-figures out the monthly payment, again.
			$power = -($month_term);
			$denom = pow((1 + $monthly_interest_rate), $power);
			$monthly_payment = $principal * ($monthly_interest_rate / (1 - $denom));
			
			$amortization_block .= '
				<br /><h2>Amortization Schedule</h2>
				<table class="amortization-table">';
			
			// This LEGEND will get reprinted every 12 months
			$legend  = '
				<tr valign="top" class="legend-tr">
					<td align="right">&nbsp;<b>Month</b>&nbsp;</td>
					<td align="right">&nbsp;<b>Interest Paid</b>&nbsp;</td>
					<td align="right">&nbsp;<b>Principal Paid</b>&nbsp;</td>
					<td align="right">&nbsp;<b>Remaing Balance</b>&nbsp;</td>
				</tr>';
			
			$amortization_block .= $legend;
							
			// Loop through and get the current month's payments for
			// the length of the loan
			while ($current_month <= $month_term) {        
				
				$row_style = ternary($row_style,'amortiz-row-1','amortiz-row-2');
				$interest_paid     = $principal * $monthly_interest_rate;
				$principal_paid    = $monthly_payment - $interest_paid;
				$remaining_balance = $principal - $principal_paid;
				
				$this_year_interest_paid  = $this_year_interest_paid + $interest_paid;
				$this_year_principal_paid = $this_year_principal_paid + $principal_paid;
				
				$amortization_block .= '
					<tr valign="top">
						<td align="right" class="' . $row_style . '">' . $current_month . '</td>
						<td align="right" class="' . $row_style . '">$' . num_format($interest_paid) . '</td>
						<td align="right" class="' . $row_style . '">$' . num_format($principal_paid) . '</td>
						<td align="right" class="' . $row_style . '">$' . num_format($remaining_balance) . '</td>
					</tr>';
	
				($current_month % 12) ? $show_legend = FALSE : $show_legend = TRUE;
	
				if ($show_legend) {
					$amortization_block .= '
						<tr valign="top" class="legend-tr">
							<td colspan="4"><b>Totals for year ' . $current_year . '</td>
						</tr>';
						
					$total_spent_this_year = $this_year_interest_paid + $this_year_principal_paid;
					$amortization_block .= '
							<tr valign="top"  class="legend-tr">
								<td>&nbsp;</td>
								<td colspan="3">
									You will spend <strong>$' . num_format($total_spent_this_year) . '</strong> on your loan in year ' . $current_year . '<br />
									<strong>$' . num_format($this_year_interest_paid) . '</strong> will go towards <strong>interest</strong><br>
									<strong>$' . num_format($this_year_principal_paid) . '</strong> will go towards the <strong>principal</strong><br />
								</td>
							</tr>
						</table><br />
						<table class="amortization-table">';
						
					$current_year++;
					$this_year_interest_paid  = 0;
					$this_year_principal_paid = 0;
					
					if (($current_month + 6) < $month_term) {
							$amortization_block .= $legend;
					}
				}
	
				$principal = $remaining_balance;
				$current_month++;
			}
			$amortization_block .= "</table>";
			
					
			
			$report['monthly_payment'] = strip_nonnumeric($report['monthly_payment']);
			$report['total_monthly_costs'] = $report['monthly_payment'] + $report['monthly_insurance_costs'] + $report['monthly_taxes'] + $report['monthly_pmi'];
			
			
			if ($report['total_monthly_costs'] <= $report['monthly_income_available']) {
				$monthly_class = 'positive';
			} else {
				$monthly_class = 'negative';
			}
			
			if ($appliance_costs > 0) {
				$initial_costs_list .= '<strong>$' . num_format($appliance_costs) . '</strong> - Applicances<br />';
			}
			if ($_SESSION['repair_costs'] > 0) {
				$initial_costs_list .= '<strong>$' . num_format($_SESSION['repair_costs']) . '</strong> - House Repairs<br />';
			}
			if ($moving_costs > 0) {
				$initial_costs_list .= '<strong>$' . num_format($moving_costs) . '</strong> - Moving Costs<br />';
			}
			if ($_SESSION['furniture_costs'] > 0) {
				$initial_costs_list .= '<strong>$' . num_format($_SESSION['furniture_costs']) . '</strong> - Furniture<br />';
			}
			if ($_SESSION['monthly_lease_amount'] > 0) {
				$initial_costs_list .= '<strong>$' . num_format($_SESSION['monthly_lease_amount']) . '</strong> - Lease Payments<br />';
			}
			if ($new_heating > 0) {
				$initial_costs_list .= '<strong>$' . num_format($new_heating) . '</strong> - New Furnace and / or Water Heater<br />';
			}
			if ($inspection_costs > 0) {
				$initial_costs_list .= '<strong>$' . num_format($inspection_costs) . '</strong> - Home Inspection<br />';
			}
			if ($yearly_insurance_costs > 0) {
				$initial_costs_list .= '<strong>$' . num_format($yearly_insurance_costs) . '</strong> - Pre-pay a year of hazard insurnace<br />';
			}
			if ($yearly_insurance_costs > 0) {
				$initial_costs_list .= '<strong>$' . num_format($yearly_taxes) . '</strong> - Pre-pay a year of taxes<br />';
			}
			
			// Create tips
			if ($percentage_down*100 < 20) {
				$tips .= '<li>Since you are putting under 20% down on your home, you will have to 1) Pay PMI (Private Mortgage Insurance) or take out another loan or line of credit for the remaining amount. It is usually less expensive to go with the line of credit, though you should crunch the numbers anyway.</li>';
			}
			if ($_SESSION['furniture_costs'] > 500) {
				$tips .= '<li>Note that you can save money on furnature by shopping at thrift stores and yard sales.</li>';
			}

			// Construct Report

			if ($_SESSION['nickname'] == '') {
				$_SESSION['nickname'] = 'My Future Home';
			}
			
			if ($total_downpayment < 0) {
				$total_downpayment = 'You have less than what is needed to pay initial costs.';
			} else {
				$total_downpayment = '$' . num_format($total_downpayment);
			}
			
			$report_block .= 
			'<div class="main">' . $result_div . '
				<br /><div class="change-div align-center"><a href="real-life-mortgage-calculator.html">&lt;&lt; Change Values</a></div>
				<h1>' .$_SESSION['nickname'] . ' - $' . num_format($_SESSION['house_cost']) . '</h1>
				<table class="display-table">
					<tr>
						<td class="align-center">
							<strong>You Can Afford:</strong>
							<br /><br /><br /><br /><br /><br />
							<div class="big-text">$' . $report['monthly_income_available'] . ' / month</div>
						</td>
						<td class="align-center">
							<strong>It Will Cost:</strong><br />
							&nbsp;&nbsp;$' . num_format($report['monthly_payment']) . ' loan payment <br />
							+ $' . num_format($report['monthly_pmi']) . ' PMI<br />
							+ $' . num_format($report['monthly_taxes']) . ' taxes<br />
							+ $' . num_format($report['monthly_insurance_costs']) . ' insurance<br /><br />
							<div class="big-text ' . $monthly_class . '"> $' . num_format($report['total_monthly_costs']) . ' / month</div>
						</td>
					</tr>
					<tr>
						<td colspan="2" class="align-center">
							Your initial costs will be: <strong>$' . num_format($report['immediate_costs']) . '</strong><br />
							Your down payment will be: <strong>' . $total_downpayment . '</strong> (' . num_format($percentage_down*100) . '%)<br />
							Your loan amount will be: <strong>$' . num_format($_SESSION['house_cost'] - $total_downpayment) . '</strong><br /><br />
							Your cost in utilities will be around <strong>$' . num_format($report['monthly_utilities']) . ' / month</strong>.
							
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<strong>Below is a list of your immediate costs:</strong><br /><br />
							' . $initial_costs_list . '
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<strong>Below is a list of tips pertinant to your particular situation:</strong><br /><br />
							<ol>' . $tips . '</ol>
						</td>
						
					</tr>
				</table>' .
				$amortization_block . 
			'</div>';
			
		}
	}
?>
<html>
	<head>
		<title>RealLifeMortgageCalculator</title>
	</head>
	<link href="realcalcfiles/calculator.css" rel="stylesheet" type="text/css"></link>
	<script type="text/javascript" src="/realcalcfiles/calculator.js"></script>
	<body>
		<div class="align-center"><a href="http://www.my-house-home-repair.com"><img src="realcalcfiles/banner.gif" alt="My House Home Repair" /></a></div>
		<?php if ($report_block != '') { echo $report_block; } else { ?>
		<div class="main">
			<h1>Calculator</h1>
			<?php echo $error_div; ?>
			<div class="float-right-padded">
				<img src="realcalcfiles/pic.jpg" alt="Sold!" />
			</div>
			<p>Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. </p>
			<p>Include your text here. Include your text here. Include your text here. </p>
			<p>Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. Include your text here. </p>
			<form id="main_form" name="main_form" onsubmit="return checkform(this);" action="reallifecalculator.php" method="post">
			<input type="hidden" name="action" value="create_report" />
			<table class="calc-table">
				<tr>
					<td class="calc-row-1">1.</td>
					<td class="calc-row-1">What is your current monthly income?</td>
					<td class="calc-row-1">$<input type="text" size="5" name="monthly_income" value="<?php echo $_SESSION['monthly_income']; ?>" /></td>
				</tr>
				<tr>
					<td class="calc-row-2">2.</td>
					<td class="calc-row-2">What is the cost of the house you're considering buying?</td>
					<td class="calc-row-2">$<input type="text" size="10" name="house_cost" value="<?php echo $_SESSION['house_cost']; ?>" /></td>
				</tr>
				<tr>
					<td class="calc-row-1">3.</td>
					<td class="calc-row-1">How much money have you saved that you can apply to the house and related costs right away (your disposable savings)?</td>
					<td class="calc-row-1">$<input type="text" size="10" name="money_saved" value="<?php echo $_SESSION['money_saved']; ?>" /></td>
				</tr>
				<tr>
					<td class="calc-row-2">4.</td>
					<td class="calc-row-2">How much would it cost to replace the house in case of a disaster?</td>
					<td class="calc-row-2">$<input type="text" size="10" name="replacement_cost" value="<?php echo $_SESSION['replacement_cost']; ?>"  /></td>
				</tr>
				<tr>
					<td class="calc-row-1">5.</td>
					<td class="calc-row-1">If you've already been approved for a loan, how much were you approved for?</td>
					<td class="calc-row-1">$<input type="text" size="10" name="loan_approved_amount" value="<?php echo $_SESSION['loan_approved_amount']; ?>"  /></td>
				</tr>
				<tr>
					<td class="calc-row-2">7.</td>
					<td class="calc-row-2">At what interest rate?</td>
					<td class="calc-row-2"><input type="text" size="4" name="loan_interest_rate" value="<?php echo $_SESSION['loan_interest_rate']; ?>"  />%</td>
				</tr>
				<tr>
					<td class="calc-row-1">8.</td>
					<td class="calc-row-1">For how many years?</td>
					<td class="calc-row-1"><input type="text" size="4" name="loan_years" value="<?php echo $_SESSION['loan_years']; ?>"  /> years</td>
				</tr>
				<tr>
					<td class="calc-row-2">9.</td>
					<td class="calc-row-2">
						What appliances will you need to purchase before you can live in the house?
					</td>
					<td class="calc-row-2">
							<input type="checkbox" name="appliance_washer" <?php if ($_SESSION['appliance_washer'] != '') { echo 'checked="checked"'; } ?>  />Washing Machine<br />
							<input type="checkbox" name="appliance_dryer" <?php if ($_SESSION['appliance_dryer'] != '') { echo 'checked="checked"'; } ?>  />Dryer<br />
							<input type="checkbox" name="appliance_fridge" <?php if ($_SESSION['appliance_fridge'] != '') { echo 'checked="checked"'; } ?> />
							Refrigerator<br />
							<input type="checkbox" name="appliance_oven" <?php if ($_SESSION['appliance_oven'] != '') { echo 'checked="checked"'; } ?> />Oven<br />
							<input type="checkbox" name="appliance_dishwasher" <?php if ($_SESSION['appliance_dishwasher'] != '') { echo 'checked="checked"'; } ?> />Dishwasher<br />
							<input type="checkbox" name="appliance_kitchen" <?php if ($_SESSION['appliance_kitchen'] != '') { echo 'checked="checked"'; } ?> />Small Kitchen Appliances (blender, toaster, microwave, etc.)<br />
						</td>
				</tr>
				<tr>
					<td class="calc-row-1">10.</td>
					<td class="calc-row-1">If repairs need to be done to the house immediately, about how much will they cost?</td>
					<td class="calc-row-1">$<input type="text" size="10" name="repair_costs" value="<?php echo $_SESSION['repair_costs']; ?>"  /></td>
				</tr>
				<tr>
					<td class="calc-row-2">11.</td>
					<td class="calc-row-2">Will you need to rent or hire a moving van or truck?</td>
					<td class="calc-row-2">
						<select name="moving_vehicle">
							<option value="self_move"  <?php if ($_SESSION['moving_vehicle'] == 'self_move') { echo 'checked="checked"'; } ?> >We're doing it ourselves</option>
							<option value="small_uhaul_truck"  <?php if ($_SESSION['moving_vehicle'] == 'small_uhaul_truck') { echo 'checked="checked"'; } ?> >Small U-Haul Truck</option>
							<option value="large_uhaul_truck"  <?php if ($_SESSION['moving_vehicle'] == 'large_uhaul_truck') { echo 'checked="checked"'; } ?> >Large U-Haul Truck</option>
							<option value="small_moving_van" <?php if ($_SESSION['moving_vehicle'] == 'small_moving_van') { echo 'checked="checked"'; } ?> >Small Moving Van (plus moving team)</option>
							<option value="large_moving_truck" <?php if ($_SESSION['moving_vehicle'] == 'large_moving_truck') { echo 'checked="checked"'; } ?> >Large Moving Truck (plus moving team)</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="calc-row-1">12.</td>
					<td class="calc-row-1">How much do you plan to spend on furniture after you move into the home?</td>
					<td class="calc-row-1">$<input type="text" size="10" name="furniture_costs" value="<?php echo $_SESSION['furniture_costs']; ?>"  /></td>
				</tr>
				<tr>
					<td class="calc-row-2">13.</td>
					<td class="calc-row-2">Do you have any lease or rent obligations that you need to continue after you purchase this house?</td>
					<td class="calc-row-2">$<input type="text" size="7" name="monthly_lease_amount" value="<?php echo $_SESSION['monthly_lease_amount']; ?>"  /> / month for <input type="text" size="3" name="lease_months" value="<?php echo $_SESSION['lease_months']; ?>"  /> more months</td>
				</tr>
				<tr>
					<td class="calc-row-1">14.</td>
					<td class="calc-row-1">How low does the temperature get in the winter?</td>
					<td class="calc-row-1"><input type="text" size="3" name="winter_temp" value="<?php echo $_SESSION['winter_temp']; ?>"  /> 
					degrees Fahrenheit</td>
				</tr>
				<tr>
					<td class="calc-row-2">15.</td>
					<td class="calc-row-2">How high does the temperature get in the summer?</td>
					<td class="calc-row-2"><input type="text" size="3" name="summer_temp" value="<?php echo $_SESSION['summer_temp']; ?>"  /> 
					degrees Fahrenheit</td>
				</tr>
				<tr>
					<td class="calc-row-1">16.</td>
					<td class="calc-row-1">What is the square footage of the house?</td>
					<td class="calc-row-1"><input type="text" size="7" name="sq_footage" value="<?php echo $_SESSION['sq_footage']; ?>"  /> sq. feet</td>
				</tr>
				<tr>
					<td class="calc-row-2">17.</td>
					<td class="calc-row-2">About how much precipitation does the area around the house receive?</td>
					<td class="calc-row-2">
						<select name="precipitation">
							<option value="low" <?php if ($_SESSION['precipitation'] == 'low') { echo 'selected="selected"'; } ?> >Not much</option>
							<option value="med"  <?php if ($_SESSION['precipitation'] == 'med') { echo 'selected="selected"'; } ?> >Some</option>
							<option value="high"  <?php if ($_SESSION['precipitation'] == 'high') { echo 'selected="selected"'; } ?> >A good amount</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="calc-row-1">18.</td>
					<td class="calc-row-1">What kind of heating system does this house use?</td>
					<td class="calc-row-1">	
						<select name="heating_system">
							<option value="electric" <?php if ($_SESSION['heating_system'] == 'electric') { echo 'selected="selected"'; } ?> >Electric</option>
							<option value="gas" <?php if ($_SESSION['heating_system'] == 'gas') { echo 'selected="selected"'; } ?> >Gas</option>
							<option value="wood" <?php if ($_SESSION['heating_system'] == 'wood') { echo 'selected="selected"'; } ?> >Wood Stove</option>
							<option value="oil" <?php if ($_SESSION['heating_system'] == 'oil') { echo 'selected="selected"'; } ?> />Oil</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="calc-row-2">19.</td>
					<td class="calc-row-2">How old is the water heater?</td>
					<td class="calc-row-2"><input type="text" size="7" name="water_heater_age" value="<?php echo $_SESSION['water_heater_age']; ?>"  /> years</td>
				</tr>
				<tr>
					<td class="calc-row-1">20.</td>
					<td class="calc-row-1">How old is the furnace?</td>
					<td class="calc-row-1"><input type="text" size="7" name="furnace_age" value="<?php echo $_SESSION['furnace_age']; ?>"  /> years</td>
				</tr>
				<tr>
					<td class="calc-row-2">21.</td>
					<td class="calc-row-2">Have you had the home inspected yet?</td>
					<td class="calc-row-2">
						<select name="inspection">
							<option value="no" <?php if ($_SESSION['inspection'] == 'no') { echo 'selected="selected"'; } ?>>No</option>
							<option value="yes" <?php if ($_SESSION['inspection'] == 'yes') { echo 'selected="selected"'; } ?>>Yes</option>
						</select>
					</td>
				</tr>
				<tr>
					<td class="calc-row-1">22.</td>
					<td class="calc-row-1">Select a nickname for this house. It will be displayed towards the top of the report so that when it is printed, you can easily distinguish between several reports.</td>
					<td class="calc-row-1"><input type="text" size="25" name="nickname" value="<?php echo $_SESSION['nickname']; ?>"  /></td>
				</tr>
			</table>
			<div class="acknowledgement">This script provided curtesy of <a href="http://www.my-house-home-repair.com">www.My-House-Home-Repair.com</a></div><br />
			<div class="align-center"><input type="submit" value="Submit to Generate Report &gt;" /></div><br /><br />
			</form>
		</div>
<?php } ?>

	</body>
</html>
<?php
/*
	A part of this code has been re-purposed from a 
	script which requires the following copyright notice:
	Copyright (c) 2002 David Tufts <http://dave.imarc.net> 
	All rights reserved.
	
	Redistribution and use in source and binary forms, with or without 
	modification, are permitted provided that the following conditions 
	are met:
	
	*	Redistributions of source code must retain the above copyright 
	 notice, this list of conditions and the following disclaimer.
	*	Redistributions in binary form must reproduce the above 
	 copyright notice, this list of conditions and the following 
	 disclaimer in the documentation and/or other materials 
	 provided with the distribution.
	*	Neither the name of David Tufts nor the names of its 
	 contributors may be used to endorse or promote products 
	 derived from this software without specific prior 
	 written permission.
	
	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
	CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
	INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
	DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS 
	BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
	EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
	TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
	DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
	ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
	OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
	OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
	POSSIBILITY OF SUCH DAMAGE.
*/
?>